Bug 166184 - Review Request: perl-Class-DBI : Simple Database Abstraction
Review Request: perl-Class-DBI : Simple Database Abstraction
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Class-DBI/
:
: 916327 (view as bug list)
Depends On: 166197 166198 166201 166567
Blocks: FE-ACCEPT 166185 166186 166187 166188 166190 166191 166192 166193 166195 166196
  Show dependency treegraph
 
Reported: 2005-08-17 16:18 EDT by Tom "spot" Callaway
Modified: 2013-02-27 16:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 15:04:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch addressing review issues (1.46 KB, patch)
2005-08-24 08:29 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Tom "spot" Callaway 2005-08-17 16:18:24 EDT
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI.spec

SRPM Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-0.96-2.src.rpm

Description: 

Simple Database Abstraction

(NOTE: This package is one of the Maypole dependencies)
Comment 1 Paul Howarth 2005-08-24 08:27:17 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file legible and written in English
- sources match upstream
- builds OK in mock on FC-4 (i386)
- BR's mostly OK
- no locales, subpackages, libraries, pkgconfigs etc. to worry about
- not relocatable
- directory ownership OK
- no duplicate files or permission issues
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- redundant BR: perl
- license text not included in package; suggest adding to %prep:
  perldoc -t perlgpl > COPYING
  perldoc -t perlartistic > Artistic
  and to %files:
  %doc COPYING Artistic

Nitpick:

- include BR: perl(Date::Simple) for more test coverage

Note:

- Including a BR: perl(Time::Piece::MySQL) would also improve coverage but this
  is not yet available in Extras or submitted for review, but it's worth adding
  at some point if someone submits that package

Comment 2 Paul Howarth 2005-08-24 08:29:34 EDT
Created attachment 118052 [details]
Patch addressing review issues

Attached patch addresses Needswork and Nitpick issues raised in review
Comment 4 Paul Howarth 2005-08-24 14:04:16 EDT
Approved.

It would be convenient if you could get builds of this package and its
dependencies done, to facilitate reviews (particularly mock builds) of the
packages that depend on it. I've been making a local repo containing the
unreleased packages thus far. Perhaps you have, and they're waiting on the PPC
builder... I dunno.
Comment 5 Paul Howarth 2005-08-24 16:44:54 EDT
Chris Grau has now submitted perl(Time::Piece::MySQL) to Extras (bugzilla
#166700) so you might want to add this as a BR now for extra test coverage.
Comment 6 Paul Howarth 2005-08-26 05:49:52 EDT
Some manual deps need to be added:

Requires: perl(Class::Accessor), perl(Ima::DBI)

These aren't picked up by RPM automatically.
Comment 7 Philip Prindeville 2013-02-27 16:33:11 EST
*** Bug 916327 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.